Home//
REST API Reference
/- List all company notes
Create a company note
List all notes
Create a note
Retrieve a note
Company Note
Note
List all company notes
You can fetch a list of notes that are associated to a company.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
- The production API serverhttps://api.intercom.io/companies/{company_id}/notes
- The european API serverhttps://api.eu.intercom.io/companies/{company_id}/notes
- The australian API serverhttps://api.au.intercom.io/companies/{company_id}/notes
curl -i -X GET \
https://api.intercom.io/companies/5f4d3c1c-7b1b-4d7d-a97e-6095715c6632/notes \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.16'Successful response
dataArray of objects(Note)
An array of notes.
pagesobject or null(Cursor based pages)
Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data. A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.
Response
{ "type": "list", "data": [ { … } ], "total_count": 1, "pages": { "type": "pages", "next": null, "page": 1, "per_page": 50, "total_pages": 1 } }